## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_with check
%global debug_package %{nil}

%global crate bumpalo

Name:           rust-%{crate}
Version:        3.8.0
Release:        %autorelease
Summary:        Fast bump allocation arena for Rust

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/bumpalo
Source:         %{crates_source}
# Initial patched metadata
# * drop tests and benchmarks that are not included in published crates
Patch0:         bumpalo-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Fast bump allocation arena for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+allocator_api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+allocator_api-devel %{_description}

This package contains library source intended for building other packages
which use "allocator_api" feature of "%{crate}" crate.

%files       -n %{name}+allocator_api-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+boxed-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+boxed-devel %{_description}

This package contains library source intended for building other packages
which use "boxed" feature of "%{crate}" crate.

%files       -n %{name}+boxed-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+collections-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+collections-devel %{_description}

This package contains library source intended for building other packages
which use "collections" feature of "%{crate}" crate.

%files       -n %{name}+collections-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Dec 29 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 3.8.0-3
- Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 3.8.0-2
- Bootstrap (disable tests)

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> 3.8.0-1
- Update to version 3.8.0; Fixes RHBZ#2015649

* Thu Sep 30 2021 Fabio Valentini <decathorpe@gmail.com> 3.7.1-1
- Update to version 3.7.1; Fixes RHBZ#2005461

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 2021 Fabio Valentini <decathorpe@gmail.com> - 3.7.0-1
- Update to version 3.7.0.
- Fixes RHBZ#1965646

* Sat Feb 27 2021 Fabio Valentini <decathorpe@gmail.com> - 3.6.1-1
- Update to version 3.6.1.
- Fixes RHBZ#1919497

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 11:51:52 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.0-1
- Initial package

